unit svcWithForm;

interface

uses
    Windows,
    Messages,
    SysUtils,
    Classes,
    Graphics,
    Dialogs,
    Controls,
    fmServiceForm,
    SvCom_NTService, SvCom_LogonSensor;

type
  TSvComEx16 = class(TNTService)
    svLogonSensor: TsvLogonSensor;
    procedure NtServiceStart(Sender: TNtService; var DoAction: Boolean);
    procedure NtServiceStop(Sender: TNtService; var DoAction: Boolean);
  private
    { Private declarations }
    procedure CreateServiceForm;
    procedure ReleaseServiceForm;
  public
    { Public declarations }
  end;

var
  SvComEx16: TSvComEx16;

implementation

{$R *.DFM}


procedure TSvComEx16.NtServiceStart(Sender: TNtService;
  var DoAction: Boolean);
begin
    Synchronize(CreateServiceForm);
end;

procedure TSvComEx16.CreateServiceForm;
begin
    ServiceMainForm:=TServiceMainForm.Create(nil);
    ServiceMainForm.Show;
end;

procedure TSvComEx16.ReleaseServiceForm;
begin
    ServiceMainForm.Release;
end;

procedure TSvComEx16.NtServiceStop(Sender: TNtService; var DoAction: Boolean);
begin
    Synchronize(ReleaseServiceForm);
end;

end.

